Description

Trying to build a VM on a VMWare CR results in this error from vSphere:

An error was received from the ESX host while powering on VM el6pupclient02.corp.follett.com.

The configuration file does not specify a guest operating system. Select a guest operating system from the General page on the

Options tab of Virtual Machine Settings.

Foreman reports this error:

Unable to save

Failed to power up a compute wrxxentvsph01 (EC2) instance el6pupclient02: NotSupported: The operation is not supported on the

object.

Snippet from production.log is attached.

Related issues:

Related to Foreman - Bug #3653: Recent versions of fog require guest_id to be... Closed 11/14/2013

Associated revisions

Revision cd74efcb - 01/07/2014 10:45 AM - Sam Kottler

Fixes #3945: pin fog to 1.19.x to fix VMware provisioning bug

History

#1 - 01/04/2014 07:22 PM - Josh Baird

- Related to Bug #3653: Recent versions of fog require guest_id to be set. added

#2 - 01/04/2014 07:47 PM - Josh Baird

Fixed by https://github.com/theforeman/foreman/commit/d80d1c2.

Should also be fixed by fog 1.19.0 in 1.4.

#3 - 01/07/2014 10:36 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Sam Kottler

- Target version set to 1.9.3

https://github.com/theforeman/foreman/pull/1128

#4 - 01/07/2014 11:31 AM - Sam Kottler

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/commit/d80d1c2
https://github.com/theforeman/foreman/pull/1128


Applied in changeset cd74efcb118a71917cc13aded79f7712370947ea.
